Package com.treemap

# Class OverlayLabeling<N,Row,Column,Color,Font>

java.lang.Object
com.treemap.AbstractLabeling<N,Row,Column,Color,Font>
com.treemap.OverlayLabeling<N,Row,Column,Color,Font>

Type Parameters:
  `N` - the type of nodes

All Implemented Interfaces:
  `Labeling<N,Row,Column,Color,Font>`

@JsType public class OverlayLabeling<N,Row,Column,Color,Font> extends AbstractLabeling<N,Row,Column,Color,Font>
Display the labels right on top of its children.

- ## Field Summary

  ### Fields inherited from class com.treemap.AbstractLabeling

  `COLOR_SIMILARITY_THRESHOLD, SHARE_OF_ZOOM_FACTOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OverlayLabeling()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getTopHeaderSpacing(N parent, N node, TreeMapView view, TreeMapModel model)`
  `void`
  `paintParent(TGraphics<Color,Font> g2, com.macrofocus.geom.Rectangle bounds, N node, TreeMapView view, int pass, int passes)`
  `String`
  `toString()`

  ### Methods inherited from class com.treemap.AbstractLabeling

  `adjustLabelColor, calcCenterOfMass, findEnclosedRectangle, getArea, getCentroid, getLeftSpace, getPoints, getTopSpace, getTreeMapFieldsByVerticalAlignment, paintFields, paintLabel, paintLeaf, subtract`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OverlayLabeling

    public OverlayLabeling()

- ## Method Details

  - ### paintParent

    public void paintParent(TGraphics<Color,Font> g2, com.macrofocus.geom.Rectangle bounds, N node, TreeMapView view, int pass, int passes)

  - ### getTopHeaderSpacing

    public double getTopHeaderSpacing(N parent, N node, TreeMapView view, TreeMapModel model)
    Specified by:
      `getTopHeaderSpacing` in interface `Labeling<N,Row,Column,Color,Font>`
    Overrides:
      `getTopHeaderSpacing` in class `AbstractLabeling<N,Row,Column,Color,Font>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`